Nini Library API Reference - http://nini.sourceforge.net/ |

# IConfigSource Members

IConfigSource overview

#### Public Instance Properties

Alias | Gets the global AliasText for all IConfigs in this source.
AutoSave | Gets or sets whether the source will be automatically saved.
Configs | Returns the collection of IConfig objects.

#### Public Instance Methods

AddConfig | Adds a new IConfig.
ExpandKeyValues | Expands all key values.
GetExpanded | Returns the expanded string value. This method does not replace the other key values in the IConfigSource.
Merge | Merges all IConfigs from another IConfigSource into the Configs collection.
Reload | Reloads all configuration values.
ReplaceKeyValues | This method is deprecated. Use ExpandKeyValues from now on.
Save | Saves all configuration values.

#### Public Instance Events

Reloaded | Occurs when the config source is reloaded.
Saved | Occurs when the config soucre is saved.

#### See Also

IConfigSource Interface | Nini.Config Namespace